Page MenuHomePhabricator

rack/setup restbase201[0-2]
Closed, ResolvedPublic

Description

This task will track the racking and initial setup of restbase201[0-2].

restbase2010

  • - receive in normally on parent task T141005
  • - rack location B8
  • - create dns entries for internal production IP address, and mgmt entries for both asset tag and hostname
  • - setup bios and drac
  • - update task with port info
  • - install_server module update
  • - install OS
  • - sign/accept puppet & salt keys
  • - hand off to @Filippo for service implementation.

restbase2011

  • - receive in normally on parent task T141005
  • - rack location C1
  • - create dns entries for internal production IP address, and mgmt entries for both asset tag and hostname
  • - setup bios and drac
  • - update task with port info
  • - install_server module update
  • - install OS
  • - sign/accept puppet & salt keys
  • - hand off to @Filippo for service implementation.

restbase2012

  • - receive in normally on parent task T141005
  • - rack location D1
  • - create dns entries for internal production IP address, and mgmt entries for both asset tag and hostname
  • - setup bios and drac
  • - update task with port info
  • - install_server module update
  • - install OS
  • - sign/accept puppet & salt keys
  • - hand off to @Filippo for service implementation.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Papaul created this task.Nov 14 2016, 7:17 PM
Restricted Application added a project: Operations. · View Herald TranscriptNov 14 2016, 7:17 PM
Restricted Application added subscribers: Southparkfan, Aklapper. · View Herald Transcript

@Papaul please expand in rows where existing restbase systems already live (rows B/C/D if memory serves)

Papaul updated the task description. (Show Details)Nov 14 2016, 10:03 PM

Change 321472 had a related patch set uploaded (by Dzahn):
Add mgmt DNS entries for restbase201[0-2]

https://gerrit.wikimedia.org/r/321472

Change 321472 merged by Dzahn:
Add mgmt DNS entries for restbase201[0-2]

https://gerrit.wikimedia.org/r/321472

Papaul triaged this task as Medium priority.Nov 15 2016, 3:40 PM
Papaul updated the task description. (Show Details)Nov 15 2016, 4:40 PM
Papaul reassigned this task from Papaul to fgiunchedi.Nov 16 2016, 1:53 AM
Papaul updated the task description. (Show Details)

@fgiunchedi you can take over.

Thanks

Change 321927 had a related patch set uploaded (by Filippo Giunchedi):
templates: add cassandra instances for restbase201[012]

https://gerrit.wikimedia.org/r/321927

Change 321927 merged by Filippo Giunchedi:
templates: add cassandra instances for restbase201[012]

https://gerrit.wikimedia.org/r/321927

Change 321935 had a related patch set uploaded (by Filippo Giunchedi):
Provision restbase201[012], add restbase2010-a

https://gerrit.wikimedia.org/r/321935

Change 321935 merged by Dzahn:
Provision restbase201[012], add restbase2010-a

https://gerrit.wikimedia.org/r/321935

fgiunchedi added a parent task: Unknown Object (Task).Nov 21 2016, 7:36 PM
fgiunchedi removed a parent task: Unknown Object (Task).
fgiunchedi closed this task as Resolved.Mar 15 2017, 12:50 PM

This was done a while ago